# plugin.h File Reference

`#include <glibmm.h>`
`#include <gst/gstplugin.h>`
`#include <gstreamermm/object.h>`

Go to the source code of this file.

## Classes

class | Gst::PluginError
| The plugin loading errors. More...
class | Gst::Plugin
| Gst::Plugin - Container for features loaded from a shared object module. More...

## Namespaces

namespace | Gst
namespace | Glib

## Enumerations

enum | Gst::PluginDependencyFlags { Gst::PLUGIN_DEPENDENCY_FLAG_NONE = 0, Gst::PLUGIN_DEPENDENCY_FLAG_RECURSE = 1 << 0, Gst::PLUGIN_DEPENDENCY_FLAG_PATHS_ARE_DEFAULT_ONLY = 1 << 1, Gst::PLUGIN_DEPENDENCY_FLAG_FILE_NAME_IS_SUFFIX = 1 << 2 }

## Functions

PluginDependencyFlags | Gst::operator| (PluginDependencyFlags lhs, PluginDependencyFlags rhs)
PluginDependencyFlags | Gst::operator& (PluginDependencyFlags lhs, PluginDependencyFlags rhs)
PluginDependencyFlags | Gst::operator^ (PluginDependencyFlags lhs, PluginDependencyFlags rhs)
PluginDependencyFlags | Gst::operator~ (PluginDependencyFlags flags)
PluginDependencyFlags& | Gst::operator|= (PluginDependencyFlags& lhs, PluginDependencyFlags rhs)
PluginDependencyFlags& | Gst::operator&= (PluginDependencyFlags& lhs, PluginDependencyFlags rhs)
PluginDependencyFlags& | Gst::operator^= (PluginDependencyFlags& lhs, PluginDependencyFlags rhs)